#*************************************************************************
#*
#*  $RCSfile$
#*
#*  $Revision: 176 $
#*
#*  last change: $Author: grosserw $ $Date: 2006-01-25 17:53:53 +0100 (Mi, 25. Jan 2006) $
#*
#*  The Contents of this file are made available subject to the terms of
#*  the following license
#*
#* 	- BSD License
#*
#*	see file license/license.terms in this directory
#*
#*  Copyright 2005-2006 Arnulf Wiedemann, Wolfgang Grosser
#*
#*  Author: Arnulf Wiedemann, Wolfgang Grosser
#*
#*  Contributor(s): 
#*
#************************************************************************/

proc loadPackages {} {
	package require tcluno_soffice
	package require tcluno_scalc
	package require tcluno_swriter
	package require tcluno_simpress
	package provide tcluno 0.0
}
if {[lsearch -exact $::auto_path $dir] == -1} {
	lappend ::auto_path $dir
}
set mainDir $dir
set dir [file join $mainDir tcluno_soffice]; source [file join $dir pkgIndex.tcl]
set dir [file join $mainDir tcluno_scalc];   source [file join $dir pkgIndex.tcl]
set dir [file join $mainDir tcluno_swriter]; source [file join $dir pkgIndex.tcl]
set dir [file join $mainDir tcluno_simpress]; source [file join $dir pkgIndex.tcl]
unset mainDir
package ifneeded tcluno 0.0 [list loadPackages]
