#*************************************************************************
#*
#*  $RCSfile$
#*
#*  $Revision: 121 $
#*
#*  last change: $Author: wiede $ $Date: 2005-10-19 17:46:51 +0200 (Mi, 19. Okt 2005) $
#*
#*  The Contents of this file are made available subject to the terms of
#*  the following license
#*
#* 	- BSD License
#*
#*	see file license/license.terms in this directory
#*
#*  Copyright 2005 Wolfgang Grosser
#*
#*  Author: Wolfgang Grosser
#*
#*  Contributor(s): 
#*
#************************************************************************/

proc listMethodInfos {cmd} {
    set member_infos [$cmd tcluno::getMemberMethodInfos $cmd]
    log::log debug "METHOD_INFOS"
    foreach entry $member_infos {
        foreach {method_name ret_type} $entry break
        set param_infos [lrange $entry 2 end]
        set params ""
        set sep ""
        foreach {mode type name} $param_infos {
            lappend params $mode $type $name
        }
        set method_infos($method_name) [list params $params ret_type $ret_type]
    }
    return [array get method_infos]
}
puts stderr hallo:soffice:listMethodInfos
package provide tcluno_soffice 0.0
