#*************************************************************************
#*
#*  $RCSfile$
#*
#*  $Revision: 176 $
#*
#*  last change: $Author: grosserw $ $Date: 2006-01-25 17:53:53 +0100 (Mi, 25. Jan 2006) $
#*
#*  The Contents of this file are made available subject to the terms of
#*  the following license
#*
#* 	- BSD License
#*
#*	see file license/license.terms in this directory
#*
#*  Copyright 2005-2006 Arnulf Wiedemann, Wolfgang Grosser
#*
#*  Author: Arnulf Wiedemann, Wolfgang Grosser
#*
#*  Contributor(s): 
#*
#************************************************************************/

proc tcluno_loadPackage {dir} {
	foreach arg $::argv {
		if {[string equal $arg "-urtp"]} {
			set ::use_tclUrtpBridge 1
			package require tclurtp
			break
		}
	}
	if {! [info exists ::use_tclUrtpBridge] || ($::use_tclUrtpBridge == 0)} {
		load libtcluno.so
	}
	source [file join $dir tcluno.tcl]
}
package ifneeded tcluno_soffice 0.0 [list tcluno_loadPackage $dir]
package ifneeded tcluno_registry 0.0 [list source [file join $dir tcluno_registry.tcl]]
package ifneeded tcluno_type_info 0.0 [list source [file join $dir getTclunoTypeInfo.tcl]]
package ifneeded tcluno_interface_info 0.0 [list source [file join $dir getTclunoInterfaceInfo.tcl]]
